main {
    overflow-x: hidden;
}

.home-hero{
    position: relative;
    overflow: hidden;
    padding-top: 10vh;
    background-size: cover;
    background-position: center 60%;
    background-repeat: no-repeat;
    height: 90vh;
    width: 100%;
    align-content: center;
}

.home-hero-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3rem;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(4px);
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.1);
    border: 2px solid rgba(64, 64, 64, 0.3);
    border-radius: 20px;
    color: white;
    width: 40%;
    z-index: 2;
    margin: 0 auto;
}

.home-hero h2 {
    margin: 0 0 0.5rem 0;
    line-height: 1.2;
}

.search-container {
    display: flex;
    justify-content: center;
    width: 80%;
    margin-top: 3rem;
    padding: 0;
}

.search-container input[type="text"] {
    flex-grow: 1;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(5px);
    color: white;
    padding: 15px 20px;
    border-radius: 15px 0 0 15px;
    font-size: 1rem;
    outline: none;
    transition: all 0.3s ease;
}

.search-container input[type="text"]::placeholder {
    color: rgba(255, 255, 255, 0.6);
}

.search-container input[type="text"]:focus {
    background: rgba(255, 255, 255, 0.2);
    border-color: #ffffff;
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.1);
}

.search-container button {
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(5px);
    color: #ffffff;
    padding: 0 30px;
    border-radius: 0 15px 15px 0;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 0.85rem;
    letter-spacing: 1px;
    cursor: pointer;
    transition: transform 0.2s ease, background-color 0.3s ease;
    white-space: nowrap;
}

.search-container button:hover {
    background: rgba(255, 255, 255, 0.2);
}

.home-hero p{
    padding: 0;
    margin: 0;
}

.divider-container {
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 100%;
    line-height: 0;
    z-index: 10;
}

.custom-divider {
    width: 100%;
    height: 80px;
    color: black;
    display: block;
}

.homepage-sections {
    position: relative;
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
}

.homepage-sections::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='505' height='491' viewBox='0 0 487 491'%3E%3Cpath fill='%23151515' fill-rule='evenodd' d='M478.1,241.1c-3.5,0-8-2.7-8-7.1s4.5-8,8-8c5.3,0,8.9,3.6,8.9,8S483.4,241.1,478.1,241.1zM476,217c-5,0-9.9-4-9.9-9s5-9.9,9.9-9.9c5,0,9,5,9,9.9S481,217,476,217zM468.1,191c-4.6,0-10-4.5-10-10s5.4-10,10-10c6.4,0,10,4.5,10,10S474.5,191,468.1,191zM456.1,162c-5.2,0-11-4.9-11-11.9s5.8-10.1,11-10.1c7,0,11,4.9,11,10.1S463.1,162,456.1,162zM437,133.1c-7.2,0-13.9-4.9-13.9-13s6.7-13,13.9-13c7.2,0,13,6.7,13,13S444.2,133.1,437,133.1zM413,107c-8.3,0-15.9-6.7-15.9-15.9c0-7.4,7.6-14.1,15.9-14.1c8.3,0,15,6.7,15,14.1C428,100.3,421.3,107,413,107zM385.1,81c-7.9,0-15.1-7.2-15.1-16s7.2-16,15.1-16c9.7,0,16.9,7.2,16.9,16S394.8,81,385.1,81zM408,126c0,12.7-10.3,23-23.9,23c-11.8,0-23-10.3-23-23s11.2-23,23-23C397.7,103,408,113.3,408,126zM350.1,59.1c-8.5,0-16.1-6.7-16.1-17c0-8.5,7.6-16.1,16.1-16.1c10.3,0,17.9,7.6,17.9,16.1C368,52.4,360.4,59.1,350.1,59.1zM312.5,42.1c-9.7,0-18.4-6.9-18.4-16.6c0-9.7,8.7-18.4,18.4-18.4c9.7,0,16.6,8.7,16.6,18.4C329.1,35.2,322.2,42.1,312.5,42.1zM275,94c-13.8,0-25-11.2-25-25.9c0-12.9,11.2-24.1,25-24.1c13.8,0,25,11.2,25,24.1C300,82.8,288.8,94,275,94zM269.1,36c-9,0-17.1-8.1-17.1-18c0-9.9,8.1-18,17.1-18c10.8,0,18.9,8.1,18.9,18C288,27.9,279.9,36,269.1,36zM229,490.1c-4.4,0-8.9-2.7-8.9-7.1s4.5-8.9,8.9-8.9c4.4,0,7.1,4.5,7.1,8.9S233.4,490.1,229,490.1zM211.1,94c-12.9,0-25-11.2-25-25.9c0-12.9,12.1-24.1,25-24.1c14.7,0,25,11.2,25,24.1C236.1,82.8,225.8,94,211.1,94zM217,36c-9.9,0-18.9-8.1-18.9-18c0-9.9,8.9-18,18.9-18c9.9,0,17.1,8.1,17.1,18C234.1,27.9,226.9,36,217,36zM174.5,42.1c-9.7,0-17.5-6.9-17.5-16.6c0-9.7,7.8-18.4,17.5-18.4s17.5,8.7,17.5,18.4C192,35.2,184.2,42.1,174.5,42.1zM136,59.1c-9.4,0-17.9-6.7-17.9-17s8.5-16.1,17.9-16.1c9.4,0,16.1,7.6,16.1,16.1C152.1,52.4,145.4,59.1,136,59.1zM102,149c-12.7,0-23.9-10.3-23.9-23s11.2-23,23.9-23c12.7,0,23,10.3,23,23S114.7,149,102,149zM101,81c-8.8,0-16.9-7.2-16.9-16s8.1-16,16.9-16s15.1,7.2,15.1,16S109.8,81,101,81zM73.1,107c-7.4,0-15-6.7-15-15.9c0-9.2,7.6-15.9,7.4-15.9c9.2,0,15.9,6.7,15.9,14.1C89,100.3,82.3,107,73.1,107zM63,120.1c0,8.1-5.8,13-13.9,13s-13-4.9-13-13s6.7-13,13-13C57.2,107.1,63,113.8,63,120.1zM41,150.1c0,7-4.9,11.9-11,11.9s-11-4.9-11-11.9s4.9-10.1,11-10.1C36.1,140,41,144.9,41,150.1zM28,181c0,5.5-4.5,10-10,10s-10-4.5-10-10s4.5-10,10-10C23.5,171,28,175.5,28,181zM20,208c0,5-4,9-9.9,9c-4.1,0-9-4-9-9s4.9-9.9,9-9.9C16,198.1,20,203,20,208zM8,226c4.4,0,8,3.6,8,8s-3.6,7.1-8,7.1s-8-2.7-8-7.1S3.6,226,8,226zM24.1,292.1c14.7,0,25,12.1,25,25.9c0,13.8-10.3,24.1-24.1,24.1c-12.9,0-24.1-10.3-24.1-24.1C0,304.2,11.2,292.1,24.1,292.1zM62.5,256.1c9.7,0,16.6,8.7,16.6,18.4c0,9.7-6.9,17.5-16.6,17.5c-9.7,0-18.4-7.8-18.4-17.5C44.1,264.8,52.8,256.1,62.5,256.1zM87,315c13.3,0,24,10.7,24,23.1c0,14.2-10.7,24.9-24,24.9s-24-10.7-24-24.9C63,325.7,73.7,315,87,315zM101,275c9.4,0,16.1,7.6,16.1,17s-6.7,16.1-16.1,16.1c-9.4,0-17.9-6.7-17.9-16.1C83.1,282.6,91.6,275,101,275zM65,148c11.6,0,21,9.4,21,21c0,11.6-9.4,20.1-21,20.1c-11.6,0-21.9-8.5-21.9-20.1C43.1,157.4,53.4,148,65,148zM37.1,266.1c0,10.8-7.2,18.9-17.1,18.9s-18.9-8.1-18.9-18.9c0-9,9-17.1,18.9-17.1C29.9,249,37.1,257.1,37.1,266.1zM42,197c10.5,0,18.1,8.5,18.1,18.1c0,11.4-7.6,19-18.1,19s-19.9-7.6-19.9-19C22.1,205.5,31.5,197,42,197zM135,351.1c12.7,0,23,11.2,23,23c0,13.6-10.3,23-23,23c-12.7,0-23-9.4-23-23C112,362.3,122.3,351.1,135,351.1zM172,396.1c11.6,0,21,10.3,21,21.9s-9.4,20.1-21,20.1s-21.9-8.5-21.9-20.1S160.4,396.1,172,396.1zM195,445.1c10.5,0,18.1,9.4,18.1,19c0,11.4-7.6,19-18.1,19s-19.9-7.6-19.9-19C175.1,454.5,184.5,445.1,195,445.1zM229,429.1c0,6.4-4.5,10-10,10s-10.9-3.6-10.9-10c0-4.6,5.4-10,10.9-10C224.5,419.1,229,424.5,229,429.1zM218,399.1c0,7-4.9,11-11,11s-11-4-11-11c0-5.2,4.9-10.1,11-10.1C213.1,389,218,393.9,218,399.1zM199.1,370c0,7.2-4.9,13-13,13c-6.3,0-13-5.8-13-13c0-7.2,6.7-13,13-13C194.2,357,199.1,362.8,199.1,370zM162.1,355.1c-7.4,0-14.1-5.8-14.1-14.1c0-8.3,6.7-15.9,14.1-15.9c9.2,0,15,7.6,15,15.9C177.1,349.3,171.3,355.1,162.1,355.1zM151.1,314c0,8.8-6.3,15.1-15.1,15.1c-8.8,0-16.9-6.3-16.9-15.1c0-8.8,8.1-16,16.9-16C144.8,298,151.1,305.2,151.1,314zM149.1,65.1c14.2,0,24,11.7,24,24.9c0,13.3-9.8,24-24,24s-24-10.7-24-24C125.1,76.8,136.7,65.1,149.1,65.1zM226,448c5,0,8.1,4,8.1,9s-3.1,8.1-8.1,8.1c-5,0-9-3.1-9-8.1S221,448,226,448zM257.1,474.1c5.3,0,8.9,4.5,8.9,8.9s-3.6,7.1-8.9,7.1c-3.5,0-7.1-2.7-7.1-7.1S253.6,474.1,257.1,474.1zM252,457c0-5,4-9,8.1-9s9,4,9,9s-3.1,8.1-9.1,8.1C256,465.1,252,462,252,457zM291.1,445.1c11.4,0,19.9,9.4,19.9,19c0,11.4-8.5,19-19.9,19c-9.6,0-18.1-7.6-18.1-19C273,454.5,281.5,445.1,291.1,445.1zM293.1,418c0-11.6,10.3-21.9,21-21.9c12.5,0,21.9,10.3,21.9,21.9s-9.4,20.1-21.9,20.1C303.4,438.1,293.1,429.6,293.1,418zM367,314c0,8.8-7.2,15.1-16.9,15.1c-7.9,0-15.1-6.3-15.1-15.1c0-8.8,7.2-16,15.1-16C359.8,298,367,305.2,367,314zM337,65.1c13.3,0,24,11.7,24,24.9c0,13.3-10.7,24-24,24s-24-10.7-24-24C313,76.8,323.7,65.1,337,65.1zM324,325.1c8.3,0,14.1,7.6,14.1,15.9c0,8.3-5.8,15.9-14.1,15.9c-8.3,0-15-5.8-15-15.9C309,332.7,315.7,325.1,324,325.1zM300,357c7.2,0,13,5.8,13,13s-5.8,13-13,13c-7.2,0-13-5.8-13-13S292.8,357,300,357zM278,429.1c0,6.4-4.5,10-10.9,10c-4.6,0-10-3.6-10-10c0-4.6,5.3-10,10-10C273.5,419.1,278,424.5,278,429.1zM279.1,389c7,0,11,4.9,11,10.1s-4,11-11,11c-5.2,0-11-4-11-11S273.9,389,279.1,389zM328.1,374.1c0-11.8,11.2-23,23-23c13.6,0,23,11.2,23,23s-9.4,23-23,23C339.3,397.1,328.1,387.7,328.1,374.1zM399.1,315c14.2,0,24,10.7,24,23.1c0,14.2-9.8,24.9-24,24.9s-24-10.7-24-24.9C375.1,325.7,386.7,315,399.1,315zM407,274.5c0-9.7,7.8-18.4,17.5-18.4s17.5,8.7,17.5,18.4c0,9.7-7.8,17.5-17.5,17.5C414.8,292,407,284.2,407,274.5zM485,266.1c0,10.8-8.1,18.9-18.9,18.9c-9,0-17.1-8.1-17.1-18.9s8.1-17.1,17.1-17.1C476.9,249,485,257.1,485,266.1zM464,215.1c0,11.4-8.5,19-19.9,19c-9.6,0-18.1-7.6-18.1-19c0-9.6,8.5-18.1,18.1-18.1C455.5,197,464,205.5,464,215.1zM385.1,308.1c-8.5,0-16.1-6.7-16.1-16.1c0-9.4,7.6-17,16.1-17c10.3,0,17.9,7.6,17.9,17C403,301.4,395.4,308.1,385.1,308.1zM421.1,148c12.5,0,21.9,9.4,21.9,21c0,11.6-9.4,20.1-21.9,20.1c-10.7,0-21-8.5-21-20.1C400.1,157.4,410.4,148,421.1,148zM462,292.1c13.8,0,25,12.1,25,25.9c0,13.8-11.2,24.1-25,24.1c-13.8,0-25-10.3-25-24.1C437,304.2,448.2,292.1,462,292.1z'/%3E%3C/svg%3E");
    background-repeat: repeat;
    background-size: 75px auto;
    background-attachment: fixed;

    -webkit-mask-image: linear-gradient(
            to bottom,
            transparent 0%,
            black 15%,
            black 85%,
            transparent 100%
    );
    mask-image: linear-gradient(
            to bottom,
            transparent 0%,
            black 15%,
            black 85%,
            transparent 100%
    );
}

.section-padding {
    padding: 4rem 2rem;
}

.bg-light {
    background-color: #000000;
}

.homepage-sections .homepage-sections-inner {
    width: 90%;
    margin: 0 auto;
}

.section-title {
    font-size: 2.5rem;
    margin-bottom: 4rem;
    margin-top: 0;
    color: #ffffff;
}

/* --- Locations Grid --- */
.top-locations .container {
    text-align: left;
}

.location-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.location-card {
    position: relative;
    display: block;
    border-radius: 15px;
    overflow: hidden;
    height: 350px;
    text-decoration: none;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
}

.loc-img-wrapper {
    width: 100%;
    height: 100%;
}

.loc-img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
}

.location-card:hover .loc-img-wrapper img {
    transform: scale(1.1);
}

.loc-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background: linear-gradient(to top, rgba(0,0,0,0.9), transparent);
    padding: 30px 20px;
    text-align: left;
    box-sizing: border-box;
}

.loc-overlay h3 {
    color: white;
    margin: 0;
    font-size: 1.5rem;
}

.loc-overlay span {
    color: #ddd;
    font-size: 0.9rem;
    font-weight: 500;
}

/*LATEST AND HOTTEST PROPERTIES*/
.latest-hottest-properties {
    display: flex;
    gap: 30px;
    padding: 20px;
    margin: 0 auto;
    flex-direction: row;
}

.latest-properties,
.hot-properties {
    flex: 1;
}

/* --- Section 2: Latest Properties --- */
.section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.view-all-link {
    color: #ffffff;
    text-decoration: underline;
    font-weight: 600;
}

.property-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2,auto);
    gap: 15px;
    margin-top: 20px;
}

.property-card {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 350px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0,0,0,0.05);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.property-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
}

.property-card a {
    text-decoration: none;
    color: inherit;
    justify-content: flex-end;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.prop-img-wrapper {
    height: 220px;
    overflow: hidden;
}

.prop-img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.prop-details {
    width: 100%;
    padding: 30px 20px 20px 20px;
    box-sizing: border-box;
    background: linear-gradient(to top, rgba(0, 0, 0, 1) 40%, transparent 100%);
}

.prop-details h3 {
    font-size: 1.25rem;
    margin: 0 0 0.5rem 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.prop-price {
    font-size: 1.1rem;
    font-weight: bold;
    color: #ffffff;
    margin-bottom: 1rem;
}

.prop-meta {
    display: flex;
    gap: 15px;
    font-size: 0.9rem;
    color: #ffffff;
    border-top: 1px solid #eee;
    padding-top: 1rem;
}

.prop-meta span {
    display: flex;
    align-items: center;
    gap: 5px;
}

/*WHY US SECTION*/
.why-us-section {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='480' height='480' viewBox='0 0 480 480'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: none; stroke: %23daa520; stroke-width: 3px; fill-rule: evenodd; %7D %3C/style%3E%3C/defs%3E%3Cpath class='cls-1' d='M240-.165c60.041,0,120.082,60.041,120.082,120.083S415.32,240,480.165,240c-64.845,0-120.083,60.041-120.083,120.082S300.041,480.165,240,480.165,119.918,420.124,119.918,360.082,59.876,240-.165,240c60.041,0,120.083-60.041,120.083-120.082S179.959-.165,240-0.165Z'/%3E%3Cpath class='cls-1' d='M120,115s120,0,120,125S120,365,120,365'/%3E%3Cpath class='cls-1' d='M360,115s-120,0-120,125S360,365,360,365'/%3E%3Cpath class='cls-1' d='M118,135s97,0,97,105-97,105-97,105'/%3E%3Cpath class='cls-1' d='M113.749,155S189,155,189,240s-75.251,85-75.251,85'/%3E%3Cpath class='cls-1' d='M104.036,174.974S156,175,156,240s-51.964,65-51.964,65'/%3E%3Cpath class='cls-1' d='M89.466,195S121,195,121,240s-31.534,45-31.534,45'/%3E%3Cpath class='cls-1' d='M66.228,215S89,215,89,240s-22.772,25-22.772,25'/%3E%3Cpath class='cls-1' d='M52.5,224s13.728,2.835,13.728,16S52.5,254,52.5,254'/%3E%3Cpath class='cls-1' d='M32,235s7.769-2.4,8,5-7,5-7,5'/%3E%3Cpath class='cls-1' d='M359.366,344.5s-96.869,0-96.869-105,96.869-105,96.869-105'/%3E%3Cpath class='cls-1' d='M363.612,324.5s-75.15,0-75.15-85,75.15-85,75.15-85'/%3E%3Cpath class='cls-1' d='M373.312,304.526s-51.9-.026-51.9-65.026,51.9-65,51.9-65'/%3E%3Cpath class='cls-1' d='M387.862,284.5s-31.492,0-31.492-45,31.492-45,31.492-45'/%3E%3Cpath class='cls-1' d='M411.069,264.5s-22.741,0-22.741-25,22.741-25,22.741-25'/%3E%3Cpath class='cls-1' d='M424.779,255.5s-13.71-2.835-13.71-16,13.71-14,13.71-14'/%3E%3Cpath class='cls-1' d='M445.251,244.5s-7.758,2.4-7.989-5,6.99-5,6.99-5'/%3E%3Cpath class='cls-1' d='M340,364s-20,93-100,93-100-93-100-93'/%3E%3Cpath class='cls-1' d='M160,358s20,71.5,80,71.5S320,359,320,359'/%3E%3Cpath class='cls-1' d='M300,349s-8.986,53-60,53-60-52-60-52'/%3E%3Cpath class='cls-1' d='M200,337s0,37,40,37,40-37,40-37'/%3E%3Cpath class='cls-1' d='M216,319s4,27,24,27,24-27,24-27'/%3E%3Cpath class='cls-1' d='M226,302.5s4.762,14.5,14,14.5,14-14.5,14-14.5'/%3E%3Cpath class='cls-1' d='M233,284s2.435,9,7,9,7-9,7-9'/%3E%3Cpath class='cls-1' d='M140.439,115.415S160.451,22.5,240.5,22.5s100.061,92.917,100.061,92.917'/%3E%3Cpath class='cls-1' d='M320.549,121.41S300.537,49.973,240.5,49.973s-80.049,70.438-80.049,70.438'/%3E%3Cpath class='cls-1' d='M180.463,130.4s8.992-52.953,60.037-52.953S300.537,129.4,300.537,129.4'/%3E%3Cpath class='cls-1' d='M280.524,142.391s0-36.967-40.024-36.967-40.024,36.967-40.024,36.967'/%3E%3Cpath class='cls-1' d='M264.515,160.375s-4-26.976-24.015-26.976-24.015,26.976-24.015,26.976'/%3E%3Cpath class='cls-1' d='M254.509,176.861s-4.766-14.487-14.009-14.487-14.009,14.487-14.009,14.487'/%3E%3Cpath class='cls-1' d='M247.5,195.344s-2.436-8.992-7-8.992-7,8.992-7,8.992'/%3E%3Cpath class='cls-1' d='M0-240.165c60.041,0,120.082,60.041,120.082,120.083S175.32,0,240.165,0C175.32,0,120.082,60.041,120.082,120.082S60.041,240.165,0,240.165s-120.082-60.041-120.082-120.083S-180.124,0-240.165,0c60.041,0,120.083-60.041,120.083-120.082S-60.041-240.165,0-240.165Z'/%3E%3Cpath class='cls-1' d='M-120-125S0-125,0,0-120,125-120,125'/%3E%3Cpath class='cls-1' d='M120-125S0-125,0,0,120,125,120,125'/%3E%3Cpath class='cls-1' d='M-122-105s97,0,97,105-97,105-97,105'/%3E%3Cpath class='cls-1' d='M-126.251-85S-51-85-51,0s-75.251,85-75.251,85'/%3E%3Cpath class='cls-1' d='M-135.964-65.026S-84-65-84,0s-51.964,65-51.964,65'/%3E%3Cpath class='cls-1' d='M-150.534-45S-119-45-119,0s-31.534,45-31.534,45'/%3E%3Cpath class='cls-1' d='M-173.772-25S-151-25-151,0s-22.772,25-22.772,25'/%3E%3Cpath class='cls-1' d='M-187.5-16s13.728,2.835,13.728,16S-187.5,14-187.5,14'/%3E%3Cpath class='cls-1' d='M-208-5s7.769-2.4,8,5-7,5-7,5'/%3E%3Cpath class='cls-1' d='M119.366,104.5S22.5,104.5,22.5-.5s96.869-105,96.869-105'/%3E%3Cpath class='cls-1' d='M123.612,84.5s-75.15,0-75.15-85,75.15-85,75.15-85'/%3E%3Cpath class='cls-1' d='M133.312,64.526S81.418,64.5,81.418-.5s51.895-65,51.895-65'/%3E%3Cpath class='cls-1' d='M147.862,44.5s-31.492,0-31.492-45,31.492-45,31.492-45'/%3E%3Cpath class='cls-1' d='M171.069,24.5s-22.741,0-22.741-25,22.741-25,22.741-25'/%3E%3Cpath class='cls-1' d='M184.779,15.5s-13.71-2.835-13.71-16,13.71-14,13.71-14'/%3E%3Cpath class='cls-1' d='M205.251,4.5s-7.758,2.4-7.989-5,6.99-5,6.99-5'/%3E%3Cpath class='cls-1' d='M100,124S80,217,0,217s-100-93-100-93'/%3E%3Cpath class='cls-1' d='M-80,118s20,71.5,80,71.5S80,119,80,119'/%3E%3Cpath class='cls-1' d='M60,109s-8.986,53-60,53-60-52-60-52'/%3E%3Cpath class='cls-1' d='M-40,97s0,37,40,37S40,97,40,97'/%3E%3Cpath class='cls-1' d='M-24,79s4,27,24,27S24,79,24,79'/%3E%3Cpath class='cls-1' d='M-14,62.5S-9.238,77,0,77,14,62.5,14,62.5'/%3E%3Cpath class='cls-1' d='M-7,44s2.435,9,7,9,7-9,7-9'/%3E%3Cpath class='cls-1' d='M-99.561-124.585S-79.549-217.5.5-217.5s100.061,92.917,100.061,92.917'/%3E%3Cpath class='cls-1' d='M80.549-118.59S60.537-190.027.5-190.027s-80.049,70.438-80.049,70.438'/%3E%3Cpath class='cls-1' d='M-59.537-109.6S-50.545-162.551.5-162.551,60.537-110.6,60.537-110.6'/%3E%3Cpath class='cls-1' d='M40.524-97.609s0-36.967-40.024-36.967S-39.524-97.609-39.524-97.609'/%3E%3Cpath class='cls-1' d='M24.515-79.625S20.512-106.6.5-106.6-23.515-79.625-23.515-79.625'/%3E%3Cpath class='cls-1' d='M14.509-63.139S9.743-77.626.5-77.626-13.508-63.139-13.508-63.139'/%3E%3Cpath class='cls-1' d='M7.5-44.656s-2.437-8.992-7-8.992-7,8.992-7,8.992'/%3E%3Cpath class='cls-1' d='M480-240.165c60.041,0,120.082,60.041,120.082,120.083S655.32,0,720.165,0C655.32,0,600.082,60.041,600.082,120.082S540.041,240.165,480,240.165,359.918,180.124,359.918,120.082,299.876,0,239.835,0c60.041,0,120.083-60.041,120.083-120.082S419.959-240.165,480-240.165Z'/%3E%3Cpath class='cls-1' d='M360-125S480-125,480,0,360,125,360,125'/%3E%3Cpath class='cls-1' d='M600-125S480-125,480,0,600,125,600,125'/%3E%3Cpath class='cls-1' d='M358-105s97,0,97,105-97,105-97,105'/%3E%3Cpath class='cls-1' d='M353.749-85S429-85,429,0s-75.251,85-75.251,85'/%3E%3Cpath class='cls-1' d='M344.036-65.026S396-65,396,0s-51.964,65-51.964,65'/%3E%3Cpath class='cls-1' d='M329.466-45S361-45,361,0s-31.534,45-31.534,45'/%3E%3Cpath class='cls-1' d='M306.228-25S329-25,329,0s-22.772,25-22.772,25'/%3E%3Cpath class='cls-1' d='M292.5-16s13.728,2.835,13.728,16S292.5,14,292.5,14'/%3E%3Cpath class='cls-1' d='M272-5s7.769-2.4,8,5-7,5-7,5'/%3E%3Cpath class='cls-1' d='M599.366,104.5S502.5,104.5,502.5-.5s96.869-105,96.869-105'/%3E%3Cpath class='cls-1' d='M603.612,84.5s-75.15,0-75.15-85,75.15-85,75.15-85'/%3E%3Cpath class='cls-1' d='M613.312,64.526S561.417,64.5,561.417-.5s51.895-65,51.895-65'/%3E%3Cpath class='cls-1' d='M627.862,44.5s-31.492,0-31.492-45,31.492-45,31.492-45'/%3E%3Cpath class='cls-1' d='M651.069,24.5s-22.741,0-22.741-25,22.741-25,22.741-25'/%3E%3Cpath class='cls-1' d='M664.779,15.5s-13.71-2.835-13.71-16,13.71-14,13.71-14'/%3E%3Cpath class='cls-1' d='M685.251,4.5s-7.758,2.4-7.989-5,6.99-5,6.99-5'/%3E%3Cpath class='cls-1' d='M580,124s-20,93-100,93-100-93-100-93'/%3E%3Cpath class='cls-1' d='M400,118s20,71.5,80,71.5S560,119,560,119'/%3E%3Cpath class='cls-1' d='M540,109s-8.986,53-60,53-60-52-60-52'/%3E%3Cpath class='cls-1' d='M440,97s0,37,40,37,40-37,40-37'/%3E%3Cpath class='cls-1' d='M456,79s4,27,24,27,24-27,24-27'/%3E%3Cpath class='cls-1' d='M466,62.5S470.762,77,480,77s14-14.5,14-14.5'/%3E%3Cpath class='cls-1' d='M473,44s2.435,9,7,9,7-9,7-9'/%3E%3Cpath class='cls-1' d='M380.439-124.585S400.451-217.5,480.5-217.5s100.061,92.917,100.061,92.917'/%3E%3Cpath class='cls-1' d='M560.549-118.59s-20.012-71.437-80.049-71.437-80.049,70.438-80.049,70.438'/%3E%3Cpath class='cls-1' d='M420.463-109.6s8.992-52.953,60.037-52.953S540.537-110.6,540.537-110.6'/%3E%3Cpath class='cls-1' d='M520.524-97.609s0-36.967-40.024-36.967-40.024,36.967-40.024,36.967'/%3E%3Cpath class='cls-1' d='M504.515-79.625s-4-26.976-24.015-26.976-24.015,26.976-24.015,26.976'/%3E%3Cpath class='cls-1' d='M494.509-63.139S489.743-77.626,480.5-77.626s-14.009,14.487-14.009,14.487'/%3E%3Cpath class='cls-1' d='M487.5-44.656s-2.436-8.992-7-8.992-7,8.992-7,8.992'/%3E%3Cpath class='cls-1' d='M0,239.835c60.041,0,120.082,60.041,120.082,120.083S175.32,480,240.165,480c-64.845,0-120.083,60.041-120.083,120.082S60.041,720.165,0,720.165s-120.082-60.041-120.082-120.083S-180.124,480-240.165,480c60.041,0,120.083-60.041,120.083-120.082S-60.041,239.835,0,239.835Z'/%3E%3Cpath class='cls-1' d='M-120,355S0,355,0,480-120,605-120,605'/%3E%3Cpath class='cls-1' d='M120,355S0,355,0,480,120,605,120,605'/%3E%3Cpath class='cls-1' d='M-122,375s97,0,97,105-97,105-97,105'/%3E%3Cpath class='cls-1' d='M-126.251,395S-51,395-51,480s-75.251,85-75.251,85'/%3E%3Cpath class='cls-1' d='M-135.964,414.974S-84,415-84,480s-51.964,65-51.964,65'/%3E%3Cpath class='cls-1' d='M-150.534,435S-119,435-119,480s-31.534,45-31.534,45'/%3E%3Cpath class='cls-1' d='M-173.772,455S-151,455-151,480s-22.772,25-22.772,25'/%3E%3Cpath class='cls-1' d='M-187.5,464s13.728,2.835,13.728,16S-187.5,494-187.5,494'/%3E%3Cpath class='cls-1' d='M-208,475s7.769-2.4,8,5-7,5-7,5'/%3E%3Cpath class='cls-1' d='M119.366,584.5s-96.869,0-96.869-105,96.869-105,96.869-105'/%3E%3Cpath class='cls-1' d='M123.612,564.5s-75.15,0-75.15-85,75.15-85,75.15-85'/%3E%3Cpath class='cls-1' d='M133.312,544.526S81.418,544.5,81.418,479.5s51.895-65,51.895-65'/%3E%3Cpath class='cls-1' d='M147.862,524.5s-31.492,0-31.492-45,31.492-45,31.492-45'/%3E%3Cpath class='cls-1' d='M171.069,504.5s-22.741,0-22.741-25,22.741-25,22.741-25'/%3E%3Cpath class='cls-1' d='M184.779,495.5s-13.71-2.835-13.71-16,13.71-14,13.71-14'/%3E%3Cpath class='cls-1' d='M205.251,484.5s-7.758,2.4-7.989-5,6.99-5,6.99-5'/%3E%3Cpath class='cls-1' d='M100,604S80,697,0,697s-100-93-100-93'/%3E%3Cpath class='cls-1' d='M-80,598s20,71.5,80,71.5S80,599,80,599'/%3E%3Cpath class='cls-1' d='M60,589s-8.986,53-60,53-60-52-60-52'/%3E%3Cpath class='cls-1' d='M-40,577s0,37,40,37,40-37,40-37'/%3E%3Cpath class='cls-1' d='M-24,559s4,27,24,27,24-27,24-27'/%3E%3Cpath class='cls-1' d='M-14,542.5S-9.238,557,0,557s14-14.5,14-14.5'/%3E%3Cpath class='cls-1' d='M-7,524s2.435,9,7,9,7-9,7-9'/%3E%3Cpath class='cls-1' d='M-99.561,355.415S-79.549,262.5.5,262.5s100.061,92.917,100.061,92.917'/%3E%3Cpath class='cls-1' d='M80.549,361.41S60.537,289.973.5,289.973s-80.049,70.438-80.049,70.438'/%3E%3Cpath class='cls-1' d='M-59.537,370.4S-50.545,317.449.5,317.449,60.537,369.4,60.537,369.4'/%3E%3Cpath class='cls-1' d='M40.524,382.391s0-36.967-40.024-36.967-40.024,36.967-40.024,36.967'/%3E%3Cpath class='cls-1' d='M24.515,400.375S20.512,373.4.5,373.4s-24.015,26.976-24.015,26.976'/%3E%3Cpath class='cls-1' d='M14.509,416.861S9.743,402.374.5,402.374s-14.008,14.487-14.008,14.487'/%3E%3Cpath class='cls-1' d='M7.5,435.344s-2.437-8.992-7-8.992-7,8.992-7,8.992'/%3E%3Cpath class='cls-1' d='M480,239.835c60.041,0,120.082,60.041,120.082,120.083S655.32,480,720.165,480c-64.845,0-120.083,60.041-120.083,120.082S540.041,720.165,480,720.165,359.918,660.124,359.918,600.082,299.876,480,239.835,480c60.041,0,120.083-60.041,120.083-120.082S419.959,239.835,480,239.835Z'/%3E%3Cpath class='cls-1' d='M360,355s120,0,120,125S360,605,360,605'/%3E%3Cpath class='cls-1' d='M600,355s-120,0-120,125S600,605,600,605'/%3E%3Cpath class='cls-1' d='M358,375s97,0,97,105-97,105-97,105'/%3E%3Cpath class='cls-1' d='M353.749,395S429,395,429,480s-75.251,85-75.251,85'/%3E%3Cpath class='cls-1' d='M344.036,414.974S396,415,396,480s-51.964,65-51.964,65'/%3E%3Cpath class='cls-1' d='M329.466,435S361,435,361,480s-31.534,45-31.534,45'/%3E%3Cpath class='cls-1' d='M306.228,455S329,455,329,480s-22.772,25-22.772,25'/%3E%3Cpath class='cls-1' d='M292.5,464s13.728,2.835,13.728,16S292.5,494,292.5,494'/%3E%3Cpath class='cls-1' d='M272,475s7.769-2.4,8,5-7,5-7,5'/%3E%3Cpath class='cls-1' d='M599.366,584.5s-96.869,0-96.869-105,96.869-105,96.869-105'/%3E%3Cpath class='cls-1' d='M603.612,564.5s-75.15,0-75.15-85,75.15-85,75.15-85'/%3E%3Cpath class='cls-1' d='M613.312,544.526s-51.895-.026-51.895-65.026,51.895-65,51.895-65'/%3E%3Cpath class='cls-1' d='M627.862,524.5s-31.492,0-31.492-45,31.492-45,31.492-45'/%3E%3Cpath class='cls-1' d='M651.069,504.5s-22.741,0-22.741-25,22.741-25,22.741-25'/%3E%3Cpath class='cls-1' d='M664.779,495.5s-13.71-2.835-13.71-16,13.71-14,13.71-14'/%3E%3Cpath class='cls-1' d='M685.251,484.5s-7.758,2.4-7.989-5,6.99-5,6.99-5'/%3E%3Cpath class='cls-1' d='M580,604s-20,93-100,93-100-93-100-93'/%3E%3Cpath class='cls-1' d='M400,598s20,71.5,80,71.5S560,599,560,599'/%3E%3Cpath class='cls-1' d='M540,589s-8.986,53-60,53-60-52-60-52'/%3E%3Cpath class='cls-1' d='M440,577s0,37,40,37,40-37,40-37'/%3E%3Cpath class='cls-1' d='M456,559s4,27,24,27,24-27,24-27'/%3E%3Cpath class='cls-1' d='M466,542.5s4.762,14.5,14,14.5,14-14.5,14-14.5'/%3E%3Cpath class='cls-1' d='M473,524s2.435,9,7,9,7-9,7-9'/%3E%3Cpath class='cls-1' d='M380.439,355.415S400.451,262.5,480.5,262.5s100.061,92.917,100.061,92.917'/%3E%3Cpath class='cls-1' d='M560.549,361.41s-20.012-71.437-80.049-71.437-80.049,70.438-80.049,70.438'/%3E%3Cpath class='cls-1' d='M420.463,370.4s8.992-52.953,60.037-52.953S540.537,369.4,540.537,369.4'/%3E%3Cpath class='cls-1' d='M520.524,382.391s0-36.967-40.024-36.967-40.024,36.967-40.024,36.967'/%3E%3Cpath class='cls-1' d='M504.515,400.375s-4-26.976-24.015-26.976-24.015,26.976-24.015,26.976'/%3E%3Cpath class='cls-1' d='M494.509,416.861s-4.766-14.487-14.009-14.487-14.009,14.487-14.009,14.487'/%3E%3Cpath class='cls-1' d='M487.5,435.344s-2.436-8.992-7-8.992-7,8.992-7,8.992'/%3E%3C/svg%3E%0A");    background-attachment: scroll;
    background-color: white;
    background-size: 100px;
    margin: 4rem auto;
    width: 85%;
    min-height: 300px;
    border-radius: 20px;
    border: 1px solid #2e2e2e;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3rem;
    text-align: center;
    position: relative;
    overflow: hidden;
}

.why-us-section > * {
    position: relative;
    z-index: 2;
    color: white;
}

.why-us-section p{

}

/*RESPONSIVE STYLES*/
@media (max-width: 1700px){
    .home-hero-container{
        width: 65%;
        font-size: 1.2rem;
    }
}

@media (max-width: 1049px){
    .home-hero-container{
        width: 70%;
        font-size: 1rem;
    }
}

@media (max-width: 900px){
    .location-grid {
        grid-template-columns: repeat(2, 1fr);

    }

    .location-card {
        height: auto;
        aspect-ratio: 3/2.5;
    }

    .property-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr) !important;
        grid-template-rows: repeat(2, auto);
        gap: 20px;
        justify-items: center;
        justify-content: space-between ;
    }

    .latest-hottest-properties {
        flex-direction: column;
        gap: 20px;
        padding: 10px;
    }

    .latest-properties,
    .hot-properties {
        width: 100%;
    }

    .property-card {
        height: auto;
        aspect-ratio: 1.1/1;
        width: 95%
    }

    .section-title {
        font-size: 1.8rem;
        margin-bottom: 2rem;
    }
}

@media (max-width: 800px) {

    .home-hero-container {
        width: 85%;
    }

    .search-container {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .search-container input[type="text"] {
        width: 100%;
        box-sizing: border-box;
        border-radius: 15px 15px 0 0;
        height: 3rem;
    }

    .search-container button {
        border-radius: 0 0 15px 15px;
        height: 2rem;
        font-size: 0.8rem;
    }

    .homepage-sections::before {
        -webkit-mask-image: linear-gradient(
                to bottom,
                transparent 0%,
                black 5%,
                black 95%,
                transparent 100%
        );
        mask-image: linear-gradient(
                to bottom,
                transparent 0%,
                black 5%,
                black 95%,
                transparent 100%
        );
    }

    .property-grid {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .section-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }
}

@media (max-width: 400px){
    .home-hero{
        background-size: cover;
    }

    .property-card {
        height: 180px;
    }

    .prop-details h3 {
        font-size: 1rem;
    }

    .prop-meta {
        display: none;
    }
}
